/* 
 * File:   convertJet.cpp
 * Author: kapela
 *
 * Created on 27 październik 2014, 15:08
 */

#include <cstdlib>
#include <iostream>
#include <fstream>
#include "capd/capdlib.h"
#include "capd/normalForms/normalForms.h"
using namespace std;
using namespace capd;

/*
 * 
 */
int main(int argc, char** argv) {

  if(argc<3){
    std::cout << " USAGE:\n"
              << "   convertJet fileIn fileOut \n"
              << " Converts derivatives to Taylor coefficients.\n";
    return 0;
  }
  capd::IJet jet;
  ifstream in(argv[1]);
  if(!in){
    std::cerr << "Cannot open file " << argv[1] << "\n";
    exit(1);
  }
  in >> jet;
  capd::normalForms::derivativesToSeries(jet);
  in.close();
  ofstream out(argv[2]);
  out << jet;
  out.close();
  return 0;
}

